<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>校运会报名</title>
<style type="text/css">
    *{ margin: 0;
       padding: 0;
    }
html {
 background: linear-gradient(to top right, white 0%, skyblue 98%, blue 100%);
 font-family: "宋体";
 background-repeat: no-repeat;
 width: 100%;
 height: 100%;
}
	h1{
	    color: white;
	    margin-left: 20px;
	    margin-top: 15px;
	}
	h4{ color: white;
		margin-left: 20px;
	}
	.a{
		height: 20px;
		width: 95%;
		background: linear-gradient(to bottom, white 25%, gray 100%);
		margin-top: 10px;
		margin-left: 20px;
	}
	form{height:525px;
		 width: 550px;
		 margin: 30px 0 0 400px;
	}
	table{margin:10px 0 0 70px;
		  line-height: 50px;
	}
</style>
<script type="text/javascript" src="js/jquery-3.4.1.min.js" charset="utf-8"></script>
<script type="text/javascript">
function check(){
	　var name = document.getElementById("name").value;
		var num = document.getElementById("num").value;
		var class0 = document.getElementById("class0").value;
		var telephone = document.getElementById("telephone").value;
	　if(name == null || name == ""){
	　　alert("姓名不能为空");
	　　return false;
	　}else if(num == null || num == ""){
			alert("学号/工号不能为空")
	　}else if(class0 == null || class0 == ""){
			alert("班级/单位不能为空")
	　}else if(telephone == null || telephone == ""){
			alert("联系电话不能为空")
	　}
	　　return true;
	　}
	$(function(){
       $("#btnSubmit").click(function(){
          var val=$('input:radio[name="sex"]:checked').val();
          if(val==null){
              alert("请选择性别");
              return false;
          }
          else{
       	   return true;
          }  
       });
   });
</script>
</head>
<body>
<h1>
	深圳信息职业技术学院校运会报名
</h1>
<h4>Shenzhen Vocational and Technical College of Information Enrollment for School Games</h4>
<div class="a"></div>
<div class="d">
	<form action="enter.do" method="post" onsubmit="return check();">
		<fieldset style="width: 550px;margin: 0 auto">
			<legend>报名信息</legend>
			<table border="0" cellspacing="0" cellpadding="10">
				<tr>
					<td>
						姓名：<input type="text" name="name" id="name" onkeyup="this.value=this.value.replace(/[^\u4e00-\u9fa5]/g,'')">
					</td>
				</tr>
				<tr>
					<td>
						学号/工号：<input type="text" name="num" id="num" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')">
					</td>
				</tr>
				<tr>
					<td>
						学院/单位：<input type="text" name="class0" id="class0">
					</td>
				</tr>
				<tr>
					<td>
						性别：
					<input type="radio" name="sex" id="sex" value="男">男
					<input type="radio" name="sex" id="sex" value="女">女
					</td>
				</tr>
				<tr>
					<td>
						联系电话：<input type="text" name="telephone" id="telephone" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')">
					</td>
				</tr>
				<tr>
					<td>
						请选择报名组别：<select name="group" id="province" runat="server" onchange="selectprovince(this);" style=" width:95px;"></select>
					</td>
				</tr>
				<tr>
					<td>
						请选择报名项目：<select name="project" id="city" runat="server" style=" width:95px;"></select>
					</td>
				</tr>
				<tr>
					<td>
						<input type="submit" value="提交报名信息" id="btnSubmit">
						<input type="reset" name="reset" value="重置">
					</td>
				</tr>
			</table>
		</fieldset>
	</form>
	<script type="text/javascript">
    var list1 = new Array;
    var list2 = new Array;
    list1[list1.length] = "学生组";
    list1[list1.length] = "教工青年组";
	list1[list1.length] = "教工中年组";
	list1[list1.length] = "教工老年组";
    list2[list2.length] = new Array("100米", "200米", "400米", "800米", "1500米", "3000米", "4×100米接力", "跳高","三级跳远", "铅球");
	list2[list2.length] = new Array("100米", "800米", "跳高","跳远","铅球");
	list2[list2.length] = new Array("60米", "800米", "跳高","跳远","铅球");
	list2[list2.length] = new Array("60米", "50米托球跑","跳远","铅球");
    var ddlProvince = document.getElementById("province");
    var ddlCity = document.getElementById("city");
    for(var i =0;i<list1.length; i++)
    {
        var option = document.createElement("option");
        option.appendChild(document.createTextNode(list1[i]));
        option.value = list1[i];
        ddlProvince.appendChild(option);
        //city initialize
        var firstprovince = list2[0];
        for (var j = 0; j < firstprovince.length; j++) {
            var optioncity = document.createElement("option");
            optioncity.appendChild(document.createTextNode(firstprovince[j]));
            optioncity.value = firstprovince[j];
            ddlCity.appendChild(optioncity);
        }
    }
    function indexof(obj,value)
    {
        var k=0;
        for(;k<obj.length;k++)
        {
            if(obj[k] == value)
            return k;
        }
        return k;
    }
    function selectprovince(obj) {
        ddlCity.options.length = 0;//clear
        var index = indexof(list1,obj.value);
        var list2element = list2[index];
        for(var i =0;i<list2element.length; i++)
        {
            var option = document.createElement("option");
            option.appendChild(document.createTextNode(list2element[i]));
            option.value = list2element[i];
            ddlCity.appendChild(option);
        }
    }
</script>

</body>
</html>